<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'szl', version '4.4'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'Przidziel rolã \'{$a->role_shortname}\' używŏczowi \'{$a->user_username}\' w kursie \'{$a->course_shortname}\' (id {$a->course_id})';
$string['assignrolefailed'] = 'Niy podarziło sie przipisać role \'{$a->role_shortname}\' używŏczowi \'{$a->user_username}\' w kursie \'{$a->course_shortname}\' (id {$a->course_id})';
$string['autocreate'] = 'Kursy mogōm być tworzōne autōmatycznie jeźli ukazuje sie zgłoszynie na kurs, co dotynczŏs niy istnieje w Moodle.
Jeźli używŏsz autōmatycznego tworzyniŏ kursu, zalycŏ sie, coby wychrōnić nastympujōnce uprawniyniŏ: moodle/course:changeidnumber, moodle/course:changeshortname, moodle/course:changefullname i moodle/course:changesummary
coby zapobiyc modyfikacyjōm tych 4 pōl.';
$string['autocreate_key'] = 'Twōrz autōmatycznie';
$string['autocreation_settings'] = 'Sztalōnki autōmatycznego tworzyniŏ kursōw';
$string['autoupdate_settings'] = 'Sztalōnki autōmatycznyj aktualizacyje kursu';
$string['bind_dn'] = 'Jeźli chcesz używać bind-user do poszukowaniŏ używŏczōw, ôkryśl jejich tukej. Podobnie do \'cn=ldapuser,ou=public,ô=org\'';
$string['bind_dn_key'] = 'Połne hierarchiczne miano bind-usera';
$string['bind_pw'] = 'Hasło dlŏ bind-usera';
$string['bind_pw_key'] = 'Hasło';
$string['bind_settings'] = 'Sztalōnki powiōnzań używŏcza';
$string['cannotcreatecourse'] = 'Niy idzie utworzić kursu: brak wymŏganych danych w LDAP!';
$string['cannotupdatecourse_duplicateshortname'] = 'Niy idzie zaktualizować kursu: Powiylōne krōtke miano. Pōmijōm kurs ô numerze \'{$a->idnumber}\'...';
$string['category'] = 'Kategoryjŏ dlŏ autōmatycznie tworzōnych kursōw';
$string['category_key'] = 'Kategoryjŏ';
$string['contexts'] = 'Kōntekst LDAP';
$string['couldnotfinduser'] = 'Niy podarziło sie ôdnojś używŏcza \'{$a}\', pōmijōm';
$string['course_fullname'] = 'Ôpcyjōnalne: Pole skōnd LDAP mŏ pobiyrać połny miano.';
$string['course_fullname_key'] = 'Połne miano';
$string['course_fullname_updateonsync'] = 'Zaktualizuj połny miano w czasie wykōnaniŏ szkryftu synchrōnizacyje';
$string['course_fullname_updateonsync_key'] = 'Aktualizuj połny miano';
$string['course_idnumber'] = 'Mapuj (odwzoruj) niyôbyczajny idyntyfikatōr w LDAP, zaôbycz <em>cn</em> abo <em>uid</em>. Szperuj tyn wert jeźli używŏsz autōmatycznego tworzyniŏ kursōw.';
$string['course_idnumber_key'] = 'Numer ID';
$string['course_search_sub'] = 'Przeszukuj przinŏleżność do grup w podkontekstach';
$string['course_search_sub_key'] = 'Przeszukuj podkonteksty';
$string['course_settings'] = 'Ustawiynie zapisowaniŏ na kurs';
$string['course_shortname'] = 'Ôpcyjōnalne:Pole skōnd LDAP mŏ pobiyrać miano ukrōcōnõ';
$string['course_shortname_key'] = 'Miano ukrōcōnŏ';
$string['course_shortname_updateonsync'] = 'Zaktualizuj krōtke miano w czasie wykōnaniŏ szkryftu synchrōnizacyje';
$string['course_shortname_updateonsync_key'] = 'Aktualizuj krōtke miano';
$string['course_summary'] = 'Ôpcyjōnalne:Pole skōnd LDAP mŏ pobiyrać ôpis';
$string['course_summary_key'] = 'Ôpis';
$string['course_summary_updateonsync'] = 'Podsumowanie aktualizacyje w czasie synchrōnizacyje szkryftu';
$string['course_summary_updateonsync_key'] = 'Aktualizacyjŏ podsumowaniŏ';
$string['coursenotexistskip'] = 'Kurs \'{$a}\' niy istnieje a autōmatyczne tworzynie je zastawiōne, pōmijōm fungowanie.';
$string['courseupdated'] = 'Kurs ô idyntyfikatorze "{$a->idnumber}" ôstoł zaktualizowany.';
$string['courseupdateskipped'] = 'Kurs ô idyntyfikatorze "{$a->idnumber}" niy wymŏgŏ aktualizacyje. Pōmijōm ....';
$string['createcourseextid'] = 'UTWORZIĆ używŏcza zapisanego do nieistniejącego kursu &quot;{$a->courseextid}&quot;';
$string['createnotcourseextid'] = 'Używŏcz zapisany do nieistniejącego kursu &quot;{$a->courseextid}&quot;';
$string['creatingcourse'] = 'Tworzynie kursu &quot;{$a}&quot; ...';
$string['duplicateshortname'] = 'Niy idzie utworzić kursu: Powiylōne krōtke miano. Pōmijōm kurs ô numerze \'{$a->idnumber}\'...';
$string['editlock'] = 'Szperuj wert';
$string['emptyenrolment'] = 'Wypucuj* zŏpis do role &quot;{$a->role_shortname}&quot; w kursie &quot;{$a->course_shortname}&quot;';
$string['enrolname'] = 'LDAP';
$string['enroluser'] = 'Zapisz używŏcza \'{$a->user_username}\' do kursu \'{$a->course_shortname}\' (id {$a->course_id})';
$string['enroluserenable'] = 'Włōncz metodã zŏpisu dlŏ używŏcza \'{$a->user_username}\' w kursie \'{$a->course_shortname}\' (id {$a->course_id})';
$string['explodegroupusertypenotsupported'] = 'ldap_explode_group () niy ôbsuguje ôbranyj zorty używŏcza: {$a}';
$string['extcourseidinvalid'] = 'Zewnyntrzny id kursu je niynŏleżny!';
$string['extremovedsuspend'] = 'Zastŏw metodã zŏpisu dlŏ używŏcza \'{$a->user_username}\' w kursie \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedsuspendnoroles'] = 'Zastŏw metodã zŏpisu i wychrōń role używŏcza \'{$a->user_username}\' w kursie \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedunenrol'] = 'Wypisz używŏcza \'{$a->user_username}\' z kursu \'{$a->course_shortname}\' (id {$a->course_id})';
$string['failed'] = 'Niy podarziło sie!';
$string['general_options'] = 'Ôpcyje ôgōlne';
$string['group_memberofattribute'] = 'Miano atrybutu, co ôkryślŏ, do kerych grup dany używŏcz abo grupa przinŏleży (bp. memberOf, groupMembership, itp.)';
$string['group_memberofattribute_key'] = 'Atrybut grupy';
$string['host_url'] = 'Ôkryśl URL hosta LDAP we formie: \'ldap://ldap.myorg.com/\' abo \'ldaps://ldap.myorg.com/';
$string['host_url_key'] = 'URL hosta';
$string['idnumber_attribute'] = 'Jeźli przinŏleżność do grupy zawiyrŏ połne miana DN, podej atrybut, co ôdpadoł \'ID number\' używŏcza w ustawiyniach uwierzitelnianiŏ LDAP';
$string['idnumber_attribute_key'] = 'Atrybut \'ID number';
$string['ldap:manage'] = 'Zarzōndzej sztekrami zŏpisu bez LDAP';
$string['ldap_encoding'] = 'Ôkryśl kodowanie znakōw używane bez serwer LDAP. Nojprŏwdopodobnij je to utf-8; MS AD v2 spotrzebowuje kodowanie wychodne platformy bp. CP1252, CP1250 itp.';
$string['ldap_encoding_key'] = 'kodowanie LDAP';
$string['memberattribute'] = 'Atrybut czōnka LDAP';
$string['memberattribute_isdn'] = 'Jeźli przinŏleżność do grupy zawiyrŏ połne miana DN, musisz to sam zaznaczyć jak tyż skōnfigurować ôstane sztalōnki w tyj sekcyje';
$string['memberattribute_isdn_key'] = 'Atrybut czōnka używŏ DN';
$string['nested_groups'] = 'Chcesz używać grup zagnieżdżonych (grup w grupach) przi zŏpisach?';
$string['nested_groups_key'] = 'Zagnieżdżone grupy';
$string['nested_groups_settings'] = 'Sztalōnki zagnieżdżonych grup';
$string['nosuchrole'] = 'Niy ma takij role: &quot;{$a}&quot;';
$string['objectclass'] = 'Parametra klasa ôbiektu (objectClass) używōmy do szukaniŏ kursōw. Zaôbycz to \'group\' abo \'posixGroup';
$string['objectclass_key'] = 'Klasa ôbiektu (objectclass)';
$string['ok'] = 'KOL!';
$string['opt_deref'] = 'Jeźli przinŏleżność do grupy zawiyrŏ połne miana DN, ôkryśl w jaki spōsōb traktowane sōm aliasy w czasie wyszukowaniŏ. Ôbier jednã z nastympujōncych wertu: &quot;No&quot; (LDAP_DEREF_NEVER) abo &quot;Yes&quot; (LDAP_DEREF_ALWAYS)';
$string['opt_deref_key'] = 'Idź za aliasami';
$string['phpldap_noextension'] = '<em>Wydŏwŏ sie, iże moduł PHP LDAP niy ma zainstalowany. Proszymy wejzdrzeć sie, iże je zainstalowany i włōnczōny, jeźli chcesz używać z tego sztekra.</em>';
$string['pluginname'] = 'Zŏpisy LDAP';
$string['pluginname_desc'] = '<p>Możesz użyć serwera LDAP do kōntrole zŏpisōw.
Zakłŏdŏ sie iże twoje strōm LDAP zawiyrŏ grupy odwzorowujące kursy iże kożdŏ z tych grup/kursōw bydzie miała wpisy czōnkowske odwzorowujące sztudyntōw. </p>
Zakłŏdŏ sie, iże kursy sōm zdefiniowane za grupy w LDAPie, a kożdŏ z tych grup mŏ moc pōl czlonkowkich (<em>member</em> abo <em>memberUid</em>)  kere zawiyrajōm unikatowy idyntyfikatōr używŏcza.
Coby spotrzebowować zŏpisy bez LDAP twoji używŏcze <strong> muszōm </strong> mieć ważne (terŏźne, nŏleżne) pole idnumber. Grupy LDAP muszōm mieć tyn idnumber w polach czōnkōw coby używŏcz ôstoł zapisany na kurs.
To bydzie fungować sprŏwnie jeźli już używŏsz z autoryzacyje LDAP.</p>
Zapisowanie bydzie uaktualniane kedy używŏcz wloguje sie. Idzie tyż sztartnōńć szkryft do synchrōnizacyje zŏpisōw. Zobŏcz w em>enrol/ldap/enrol_ldap_sync.php</em>.</p>
<p> Tyn szteker może tyż tworzić autōmatycznie nowe kursy, kedy ukazujōm sie nowe grupy w LDAP. </p>';
$string['pluginnotenabled'] = 'Szteker niy ma włōnczōnŏ!';
$string['privacy:metadata'] = 'Szteker registracyje LDAP niy przechowuje żŏdnych danych ôsobowych.';
$string['role_mapping'] = '<p> Dlŏ kożdyj role, co chcesz przipisać z LDAP, przinŏleży ôkryślić wykŏz kōntekstōw, kaj sōm grupy. Ôddziel kōnteksty strzednikym \';\'. </p><p> Przinŏleży tyż ôkryślić atrybut, co w niymu serwer LDAP przechowuje przinŏleżność do grup. Zaôbycz je to  &quot;member&quot; abo &quot;memberUid&quot; </p>';
$string['role_mapping_attribute'] = 'Atrybut przinŏleżności do grupy w LDAP dlŏ {$a}';
$string['role_mapping_context'] = 'Kōnteksty LDAP dlŏ {$a}';
$string['role_mapping_key'] = 'Mapuj (przenoś) role z LDAP';
$string['roles'] = 'Mapowanie ról';
$string['server_settings'] = 'Sztalōnki sewera LDAP';
$string['synccourserole'] = '== Synchrōnizacyjŏ kursu \'{$a->idnumber}\' dlŏ role \'{$a->role_shortname}\'';
$string['syncenrolmentstask'] = 'Zŏdanie synchrōnizacyje registracyje LDAP';
$string['template'] = 'Ôpcyjōnalnie: Autōmatycznie tworzōne kursy mogōm kopiyrować sztalōnki z wzorcowego kursu-szablōny.';
$string['template_key'] = 'Szablōna';
$string['updatelocal'] = 'Uaktualnij dane lokalne';
$string['user_attribute'] = 'Jeźli przinŏleżność do grupy zawiyrŏ połne miana DN, ôkryśl atrybut używany do ôkryślaniŏ/wyszukowaniŏ używŏczōw. Jeźli używŏsz uwierzitelnianiŏ LDAP, wert ta winna być takŏ jak atrybut &quot;ID number&quot; w ustawiyniach uwierzitelnianiŏ LDAP';
$string['user_attribute_key'] = 'Atrybut idyntyfikatora';
$string['user_contexts'] = 'Jeźli przinŏleżność do grupy zawiyrŏ połne miana DN, ôkryśl wykŏz kōntekstōw, co w nich sōm używŏcze.
Ôddziel kōnteksty strzednikym \';\'. Bez tyn przikłŏd: \'ou=users,ô=org; ou=others,ô=org';
$string['user_contexts_key'] = 'Kōnteksty';
$string['user_search_sub'] = 'Jeźli przinŏleżność do grupy zawiyrŏ połne miana DN,
ôkryśl, eli szukać używŏczōw równiez w podkontekstach';
$string['user_search_sub_key'] = 'Przeszukuj podkonteksty';
$string['user_type'] = 'Jeźli przinŏleżność do grupy zawiyrŏ połne miana DN, ôkryśl, w jaki spōsōb używŏcze sōm przechowowani w LDAP';
$string['user_type_key'] = 'Zorta używŏcza';
$string['version'] = 'Wersyjŏ protokołu LDAP zainstalowanŏ na Twojim serwerze.';
$string['version_key'] = 'Wersyjŏ';
